# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Object-Dependency
%define upstream_version 0.41

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_6

Summary:    Maintain a dependency graph
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Hash/Util.pm)
BuildRequires: perl(List/MoreUtils.pm)
BuildRequires: perl(Scalar/Util.pm)
BuildArch:  noarch
Source44: import.info

%description
This module maintains a simple dependency graph. Items can be 'add'ed more
than once to note additional depenencies. Dependency relationships cannot
be removed except by removing objects entirely.

We do not currently check for cycles so please be careful!

Items are expected to be objects, but do not have to be. Objects are
identified by their refadd() so if you combine objects and other scalers,
there is some chance of a collision between large intetgers and the
refaddr(). The 'undef' value will cause warnings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml 
%perl_vendor_privlib/*

%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.41-alt2_6
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.41-alt2_5
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.41-alt2_4
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.41-alt2_3
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.41-alt2_2
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.41-alt2_1
- rebuild to get rid of unmets

* Thu May 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.41-alt1_1
- update by mgaimport

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1_3
- mga update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1_2
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1_1
- converted for ALT Linux by srpmconvert tools

